Geolocation issues - Error 999 - Issues accessing via a web browser

When you log into our website you are prompted to download and install the 'Player Location Client' (PLC) web browser plugin.

The following web browser versions (or higher) support this plugin:

  • Google Chrome 66
  • Apple Safari 6.1.6
  • Mozilla Firefox 60
  • Opera 2016
  • Internet Explorer 9

If you have not installed it, or have switched to a different web browser, follow these steps on our website:

Log out → Log back in again → Accept the offer to update by selecting 'Download and install'

If you experience any issues running or installing the plugin, check the following:

  • Ensure any pop-up blockers are disabled.
  • Your security software may request that you confirm that you want to install the plugin, accept to continue.

If you receive error 999 on our mobile or desktop software, please send us our software's log files. You can find instructions here:

Feedback

Was this article helpfull?

Related Help Articles